Subject: bug#6006: recent emacs binary size increase by 800KB

From: Stefan Monnier <[email-masked]>
Date: Thu, 22 Apr 2010 15:35:00 -0400

> The "data" segment size has increased between the .2 and .3 version
> by 800KB.
[...]
>             * loadup.el: Setup hash-cons for pure data.

Yes, this patch makes Emacs use free up a fairly large hash-table just
before dumping, so its image is larger, with a fair amount of memory
that's not actually used (it's still allocated to the Emacs process but
Emacs has it registered as "free for reuse").

Some of that memory can be recovered by adjusting the size of the
pure-space (since the patch reduces the pure-space usage but didn't
reduce the redefined size of the pure space), but not all.

This said, I don't think it's a real problem since that memory is not
really wasted (it will be used when Emacs starts to allocate), other
than on the disk.

        Stefan